package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AdminPromotionLinkModel = (*customAdminPromotionLinkModel)(nil)

type (
	// AdminPromotionLinkModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAdminPromotionLinkModel.
	AdminPromotionLinkModel interface {
		adminPromotionLinkModel
	}

	customAdminPromotionLinkModel struct {
		*defaultAdminPromotionLinkModel
	}
)

// NewAdminPromotionLinkModel returns a model for the database table.
func NewAdminPromotionLinkModel(conn sqlx.SqlConn, c cache.CacheConf) AdminPromotionLinkModel {
	return &customAdminPromotionLinkModel{
		defaultAdminPromotionLinkModel: newAdminPromotionLinkModel(conn, c),
	}
}
