package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ ExampleParamsModel = (*customExampleParamsModel)(nil)

type (
	// ExampleParamsModel is an interface to be customized, add more methods here,
	// and implement the added methods in customExampleParamsModel.
	ExampleParamsModel interface {
		exampleParamsModel
	}

	customExampleParamsModel struct {
		*defaultExampleParamsModel
	}
)

// NewExampleParamsModel returns a model for the database table.
func NewExampleParamsModel(conn sqlx.SqlConn, c cache.CacheConf) ExampleParamsModel {
	return &customExampleParamsModel{
		defaultExampleParamsModel: newExampleParamsModel(conn, c),
	}
}
