CREATE TABLE `表名` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `delete_time` datetime DEFAULT NULL COMMENT '删除时间',
  `del_state` tinyint NOT NULL DEFAULT '0',
  `version` bigint NOT NULL DEFAULT '0' COMMENT '版本号',
  
  /* 业务字段开始 */
  `字段1` 数据类型 [约束条件] [DEFAULT 默认值] [COMMENT '字段说明'],
  `字段2` 数据类型 [约束条件] [DEFAULT 默认值] [COMMENT '字段说明'],
  /* 关联字段 - 软关联 */
  `关联表id` bigint [NOT NULL] [DEFAULT '0'] COMMENT '关联到XX表的id',
  /* 业务字段结束 */
  
  PRIMARY KEY (`id`),
  /* 索引定义 */
  UNIQUE KEY `索引名称` (`字段名`),
  KEY `idx_关联字段` (`关联表id`) COMMENT '优化关联查询'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='表说明';