package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AdminPromotionLinkStatsHistoryModel = (*customAdminPromotionLinkStatsHistoryModel)(nil)

type (
	// AdminPromotionLinkStatsHistoryModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAdminPromotionLinkStatsHistoryModel.
	AdminPromotionLinkStatsHistoryModel interface {
		adminPromotionLinkStatsHistoryModel
	}

	customAdminPromotionLinkStatsHistoryModel struct {
		*defaultAdminPromotionLinkStatsHistoryModel
	}
)

// NewAdminPromotionLinkStatsHistoryModel returns a model for the database table.
func NewAdminPromotionLinkStatsHistoryModel(conn sqlx.SqlConn, c cache.CacheConf) AdminPromotionLinkStatsHistoryModel {
	return &customAdminPromotionLinkStatsHistoryModel{
		defaultAdminPromotionLinkStatsHistoryModel: newAdminPromotionLinkStatsHistoryModel(conn, c),
	}
}
