package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AdminPromotionLinkStatsTotalModel = (*customAdminPromotionLinkStatsTotalModel)(nil)

type (
	// AdminPromotionLinkStatsTotalModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAdminPromotionLinkStatsTotalModel.
	AdminPromotionLinkStatsTotalModel interface {
		adminPromotionLinkStatsTotalModel
	}

	customAdminPromotionLinkStatsTotalModel struct {
		*defaultAdminPromotionLinkStatsTotalModel
	}
)

// NewAdminPromotionLinkStatsTotalModel returns a model for the database table.
func NewAdminPromotionLinkStatsTotalModel(conn sqlx.SqlConn, c cache.CacheConf) AdminPromotionLinkStatsTotalModel {
	return &customAdminPromotionLinkStatsTotalModel{
		defaultAdminPromotionLinkStatsTotalModel: newAdminPromotionLinkStatsTotalModel(conn, c),
	}
}
